%global framework eventviews

Name:           kf5-%{framework}
Version:        16.04.0
Release:        1%{?dist}
Summary:        KDE PIM library for displaying events and calendars

License:        GPLv2+
URL:            http://projects.kde.org/%{framework}


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5UiTools)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5KDGantt2)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IdentityManagement)

Requires:       kf5-filesystem >= 5.19.0

Obsoletes:      kdepim-libs%{?_isa} < 16.04.0
Conflicts:      kdepim-libs%{?_isa} < 16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5Akonadi)
Requires:       cmake(KF5CalendarSupport)
Requires:       cmake(KF5CalendarCore)
Requires:       cmake(KF5CalendarUtils)
Requires:       cmake(KF5AkonadiCalendar)


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}



%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/eventviews.categories
%{_kf5_libdir}/libKF5EventViews.so.*
%{_kf5_datadir}/kservicetypes5/calendardecoration.desktop

%files devel
%{_kf5_includedir}/EventViews
%{_kf5_includedir}/eventviews
%{_kf5_includedir}/eventviews_version.h
%{_kf5_libdir}/libKF5EventViews.so
%{_kf5_libdir}/cmake/KF5EventViews
%{_kf5_archdatadir}/mkspecs/modules/qt_EventViews.pri

%changelog
* Mon May 02 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
